Bug 239784 - On mixed local LAN with no DNS, some utilities seem to use WINS, some don't
On mixed local LAN with no DNS, some utilities seem to use WINS, some don't
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-05-11 07:34 EDT by David Hislop
Modified: 2008-05-06 15:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Hislop 2007-05-11 07:34:17 EDT
Description of problem:
On a local LAN with a mix of Windows XP and Linux PCs, some TCP/IP utilities
seem to use WINS to resolve host names, and some don't.
Question is: is this expected behaviour?
See "Steps to Reproduce" below for information

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. /etc/nsswitch.conf host line is
hosts:      files wins dns

2. nmblookup works:
[david@lin01 lib]$ nmblookup lin02
querying lin02 on lin02<00>

3. wbinfo works (I'm also running winbindd, just experimenting, but there is no
WINS or DOMAIN server on the network):
[david@lin01 lib]$ wbinfo -N lin02   lin02

4. telnet works with a host name:
[david@lin01 lib]$ telnet lin02
Connected to lin02 (
Escape character is '^]'.

    lin02 (Linux release 2.6.20-1.2948.fc6xen #1 SMP Fri Apr 27 20:07:53 EDT
2007) (0)


5. ping does not work with a host name, but does work with an IP address:
[david@lin01 lib]$ ping lin02
ping: unknown host lin02
[david@lin01 lib]$ ping -c 2
PING ( 56(84) bytes of data.
64 bytes from icmp_seq=1 ttl=64 time=0.575 ms
64 bytes from icmp_seq=2 ttl=64 time=0.381 ms

--- ping statistics ---
2 packets transmitted, 2 received, 0% packet loss, time 1006ms
rtt min/avg/max/mdev = 0.381/0.478/0.575/0.097 ms

6. ftp does not work with a host name (but does work with an IP address):
[david@lin01 lib]$ ftp lin02
ftp: lin02: unknown host
ftp> quit

Actual results:
See above, "Steps to Reproduce"

Expected results:
I don't really know what's expected. Maybe this is OK. (although it would be
nice if it worked uniformly :-)

Additional info:
Comment 1 Kai Engert (:kaie) 2007-05-11 07:48:11 EDT
If I understand correctly, your question is directed towards the samba utils
nmblookup and wbinfo.

Reassigning component to samba.
Comment 2 David Hislop 2007-05-11 08:35:31 EDT
I don't think so.

Seems that wbinfo and nmblookup are working OK.

My problem is that of the three TCP/IP utilities telnet, ping, and ftp, only
telnet appears to be using the Name Server Switch.

It's possible that it might be a samba problem, but unlikely as telnet works OK.
Comment 3 Kai Engert (:kaie) 2007-05-11 09:48:15 EDT
Please note that the bug was wrongly assigned to me in the first place.
I'm trying to find the correct package.

So your complaint is about "ping" and "ftp".
I'm trying to assign to the "iputils" package, which contains ping.

Comment 4 David Hislop 2007-09-04 03:24:51 EDT
Did this bug get assigned to the right place after the above message?
Comment 5 Martin Nagy 2008-02-26 05:18:13 EST
Reassigning back to NSS. ping uses gethostbyname function call to determine the
host address. I believe NSS should take care of this and determine the host. Or
perhaps the bug is in glibc?
Comment 6 Kai Engert (:kaie) 2008-02-26 09:34:04 EST
Martin, NSS does not do any DNS. NSS is a library that provides encryption services.

I really do not understand why you assign this bug to me and NSS. I can not work
on this bug unless you tell me this is related to encryption.

The first comment in this bug talks about file /etc/nsswitch.conf which is owned
by the glibc package. I'm therefore assigning to the glibc component.

I know there is a DNS related software which has a similar name. I can see we
have a package nss-mdns. Might this have been causing any confusion?

Package nss = Network Security Services (encryption)

Package nss-mdns = plugin for the GNU Name Service Switch
                   functionality of the GNU C Library
Your help in finding the right bug assignee is welcomed.
Comment 7 Kai Engert (:kaie) 2008-02-26 09:34:41 EST
Adding Martin to cc list, because he might not have seen my previous comment.
Comment 8 Martin Nagy 2008-02-26 09:45:28 EST
I somehow thought that the reporter was right the first time and that the NSS
actually stands for Name Service Switch and I didn't even check. Sorry about
this Kai. Hope that the bug is now filed against the right component.
Comment 9 Jakub Jelinek 2008-02-26 10:03:22 EST
The most likely culprit is /lib*/libnss_wins*, which is part of samba.
All the named programs use NSS, some of call getaddrinfo and some gethostbyname
etc., in the end everything results in query of NSS modules.
Comment 10 Bug Zapper 2008-04-04 03:13:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 15:35:29 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.